LibreOffice: XMasterPasswordHandling2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMasterPasswordHandling2 Interface Referencepublished

allows to change the master password, or let it be requested and checked. More...

Inheritance diagram for XMasterPasswordHandling2:

## Public Member Functions
boolean | useDefaultMasterPassword ([in] XInteractionHandler xHandler)
| allows to let the default password be used
boolean | isDefaultMasterPasswordUsed ()
| allows to detect whether the default master password is used
Public Member Functions inherited from XMasterPasswordHandling
boolean | authorizateWithMasterPassword ([in] XInteractionHandler xHandler)
| allows to check the user authorization.
boolean | changeMasterPassword ([in] XInteractionHandler xHandler)
| allows to change the master password.
void | removeMasterPassword ()
| let the master password and all the related stored passwords be removed.
boolean | hasMasterPassword ()
| allows to detect whether there is already a master password
boolean | allowPersistentStoring ([in] boolean bAllow)
| allows to specify whether persistent storing of passwords is allowed
boolean | isPersistentStoringAllowed ()
| allows to detect whether persistent storing of passwords is allowed
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to change the master password, or let it be requested and checked.

## Member Function Documentation

## ◆ isDefaultMasterPasswordUsed()

boolean isDefaultMasterPasswordUsed | ( |  | ) |

allows to detect whether the default master password is used

## ◆ useDefaultMasterPassword()

boolean useDefaultMasterPassword | ( | [in] XInteractionHandler | xHandler | ) |

allows to let the default password be used

Please use this method with care. Using of default master password let the passwords be stored non-encrypted. If a master password is predefined in the algorithm it is no more an encryption, it is just an encoding.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XMasterPasswordHandling2.idl